Set the read and write timeout for a buffer event

- « EventBufferEvent::setPriority

- EventBufferEvent::setWatermark »

- PHP Manual
- EventBufferEvent
- Set the read and write timeout for a buffer event

# EventBufferEvent::setTimeouts

(PECL event >= 1.2.6-beta)

EventBufferEvent::setTimeouts — Set the read and write timeout for a buffer event

### Description

public EventBufferEvent::setTimeouts( float `$timeout_read` , float `$timeout_write` ): bool

Set the read and write timeout for a buffer event

### Parameters

`timeout_read`

  Read timeout

`timeout_write`

  Write timeout

### Return Values

Returns `true` on success or `false` on failure.